If you have a support question or comment, click the Post New Topic link below.
Current Version: 3.6.1 | Sytist Manual | Sytist Articles 

Php Errors

 
Please log in or Create an account to post or reply to topics.
 
Lisa Ivandich
8 posts
Thu Dec 06, 18
6:03 AM
I am getting php errors when trying to use the book online -see attached.

When looking in the errort.txt file it says


06-Dec-2018 19:55:12 Australia/Perth] PHP Warning: Use of undefined constant _deposit_ - assumed '_deposit_' (this will throw an Error in a future version of PHP) in /home/myphotom/public_html/photocart/sy-inc/booking-calendar-options.php on line 275
[06-Dec-2018 19:55:12 Australia/Perth] PHP Warning: Use of undefined constant _booking_comments_or_notes_ - assumed '_booking_comments_or_notes_' (this will throw an Error in a future version of PHP) in /home/myphotom/public_html/photocart/sy-inc/booking-calendar-options.php on line 276
[06-Dec-2018 19:55:12 Australia/Perth] PHP Warning: Use of undefined constant _booking_send_request_ - assumed '_booking_send_request_' (this will throw an Error in a future version of PHP) in /home/myphotom/public_html/photocart/sy-inc/booking-calendar-options.php on line 277
[06-Dec-2018 19:55:12 Australia/Perth] PHP Warning: Use of undefined constant _booking_your_information_ - assumed '_booking_your_information_' (this will throw an Error in a future version of PHP) in /home/myphotom/public_html/photocart/sy-inc/booking-calendar-options.php on line 278
Lisa Ivandich
8 posts
Thu Dec 06, 18
6:34 AM
Ok so my other half downgraded my PHP version and its fixed.
Tim - PicturesPro.com
12060 posts
admin
Thu Dec 06, 18
12:03 PM
I believe that is related to PHP 7.2. PHP 7.1 will be fine for now.
 
 
 
 
 
Tim Grissett, DIA - PicturesPro.com || My Email Address: info@picturespro.com
Holly Sutor
14 posts
Mon Dec 02, 19
3:14 PM
Hi Tim,
I am being forced to update to PHP 7.2 and when I do it I get a ton of error messages on every page:
Warning: Use of undefined constant htmlspecialchars_decode - assumed 'htmlspecialchars_decode' (this will throw an Error in a future version of PHP) in /homepages/19/d120312875/htdocs/sutography/clients/sy-inc/functions.core.php on line 31

Warning: Use of undefined constant htmlspecialchars_decode - assumed 'htmlspecialchars_decode' (this will throw an Error in a future version of PHP) in /homepages/19/d120312875/htdocs/sutography/clients/sy-inc/functions.core.php on line 31

Warning: Use of undefined constant htmlspecialchars_decode - assumed 'htmlspecialchars_decode' (this will throw an Error in a future version of PHP) in /homepages/19/d120312875/htdocs/sutography/clients/sy-inc/functions.core.php on line 31

I see this topic is from 2018... is there any change recently to support 7.2?
Thanks,
Holly
 
 
 
 
 
Tim - PicturesPro.com
12060 posts
admin
Tue Dec 03, 19
5:06 AM
You must be on a fairly old version of Sytist. Sytist has been compatible with PHP 7.2 for a while. The current Sytist version is 3.6.1. You might want to consider updating.

https://www.picturespro.com/sytist/how-to-upgrade/
https://www.picturespro.com/sytist-manual/change-log/
 
 
 
 
 
Tim Grissett, DIA - PicturesPro.com || My Email Address: info@picturespro.com
Loading more pages
Loading more pages

Sign up for email promotions.

Your information is safe with us and won't be shared.

Thank you for signing up!

 
©2003 - 2019 Grissett, LLC. All Rights Reserved.

By continuing to browse or by clicking Accept Cookies, you agree to the storing of cookies on your device necessary to provide you with the services available through our website.

    Accept   Privacy & Cookie Policy
Loading More Photos
Scroll To Top
Close Window
Loading
Close